TIX-INSTALL(8)

NAME
tix-install - install packages into a collection

SYNOPSIS
tix-install [-q] [--collection=collection] [--reinstall] [--quiet] file ...

DESCRIPTION
tix-install installs packages in the .tix.tar.xz format into a tix collection, as created with tix-collection(8). tix-install is a low-level tool and ordinarily installations and upgrades would occur through the tix(8), tix-upgrade(8), tix-port(8), sysinstall(8), sysupgrade(8), or sysmerge(8) programs instead. Packages are created from port(5) files using tools such as tix-port(8).

The arguments are package files that will be installed into the selected collection, or the root directory collection if not specified. The installation will fail if the packages are already installed. Packages can be uninstalled with tix-uninstall(8).

The options are as follows:

--collection=collection
    Specifies which collection to install into.

--reinstall
    Reinstall packages if already installed, rather than failing.

    Warning: This option is currently unsupported. tix-install does not use the upgrade engine of sysmerge(8) and will leak files that are not present in the new package. Uninstall the package first using tix-uninstall(8), or use the supported sysupgrade(8) and sysmerge(8) upgrade methods instead.

-q, --quiet
    Be quiet rather than outputting a message saying the package is being uninstalled.

EXIT STATUS
tix-install will exit 0 on success and non-zero otherwise.

SEE ALSO
port(5), sysinstall(8), sysmerge(8), sysupgrade(8), tix(8), tix-collection(8), tix-port(8), tix-uninstall(8), tix-upgrade(8)

HISTORY
tix-install originally appeared in Sortix 1.1.